HadoopShimsCurrent (ORC Core 1.4.3 API)
Date: 2018-02-09

org.apache.orc.impl

## Class HadoopShimsCurrent

- java.lang.Object
- - org.apache.orc.impl.HadoopShimsCurrent

- All Implemented Interfaces:
    HadoopShims

      public class HadoopShimsCurrent
      extends Object
      implements HadoopShims

  Shims for recent versions of Hadoop

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.orc.impl.HadoopShims

      `HadoopShims.ByteBufferPoolShim, HadoopShims.DirectCompressionType, HadoopShims.DirectDecompressor, HadoopShims.Factory, HadoopShims.TextReaderShim, HadoopShims.ZeroCopyReaderShim`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopShimsCurrent()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HadoopShims.DirectDecompressor` | `getDirectDecompressor(HadoopShims.DirectCompressionType codec)` Get a direct decompressor codec, if it is available
    `HadoopShims.TextReaderShim` | `getTextReaderShim(InputStream in)` Wrap a TextReaderShim around an input stream.
    `HadoopShims.ZeroCopyReaderShim` | `getZeroCopyReader(FSDataInputStream in, HadoopShims.ByteBufferPoolShim pool)` Provides an HDFS ZeroCopyReader shim.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopShimsCurrent

          public HadoopShimsCurrent()

  - ### Method Detail

    - #### getDirectDecompressor

          public HadoopShims.DirectDecompressor getDirectDecompressor(HadoopShims.DirectCompressionType codec)

      Description copied from interface: `HadoopShims`
      Get a direct decompressor codec, if it is available
      Specified by:
        `getDirectDecompressor` in interface `HadoopShims`
      Returns:

    - #### getZeroCopyReader

          public HadoopShims.ZeroCopyReaderShim getZeroCopyReader(FSDataInputStream in,
                                                                  HadoopShims.ByteBufferPoolShim pool)
                                                           throws IOException

      Description copied from interface: `HadoopShims`
      Provides an HDFS ZeroCopyReader shim.
      Specified by:
        `getZeroCopyReader` in interface `HadoopShims`
      Parameters:
        `in` - FSDataInputStream to read from (where the cached/mmap buffers are tied to)
      Returns:
        returns null if not supported
      Throws:
        `IOException`

    - #### getTextReaderShim

          public HadoopShims.TextReaderShim getTextReaderShim(InputStream in)
                                                       throws IOException

      Description copied from interface: `HadoopShims`
      Wrap a TextReaderShim around an input stream. The reader shim will not buffer any reads from the underlying stream and will only consume bytes which are required for TextReaderShim.read() input.
      Specified by:
        `getTextReaderShim` in interface `HadoopShims`
      Throws:
        `IOException`

Copyright © 2013–2018 The Apache Software Foundation. All rights reserved.